com.rscja.team.qcom.uhfhandler

## Class UHFDataHandleBase

- java.lang.Object
- - com.rscja.team.qcom.uhfhandler.UHFDataHandleBase

- Direct Known Subclasses:
    HFR1UsbDataHandle, UHFRxBLEDataHandle, UHFRxUsbDataHandle, UHFUR4DataHandle, UHFUrAxDataHandle

      public abstract class UHFDataHandleBase
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `UHFDataHandleBase.CMDInfo`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `isStop`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UHFDataHandleBase()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `addCmdList(UHFDataHandleBase.CMDInfo info)`
    `void` | `cleanAllData()`
    `void` | `cleanCmd()`
    `void` | `cleanOldCmd()`
    `void` | `cleanTagCmd()`
    `java.util.List<UHFDataHandleBase.CMDInfo>` | `getCmdList(int cmd)`
    `java.util.List<UHFDataHandleBase.CMDInfo>` | `getCmdList(int cmd, int controlWord)`
    `UHFDataHandleBase.CMDInfo` | `getLastBarcodeCmd(int cmd, int controlWord, int timeOut)`
    `UHFDataHandleBase.CMDInfo` | `getLastCmd(int cmd, int timeOut)`
    `UHFDataHandleBase.CMDInfo` | `getLastCmd(int cmd, int controlWord, int timeOut)`
    `UHFDataHandleBase.CMDInfo` | `getTagCmd()`
    `abstract boolean` | `isBuildFullData(UHFDataHandleBase.CMDInfo cmdinfo)`
    `void` | `parseData(byte[] inDataBuf)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isStop

          public static boolean isStop

  - ### Constructor Detail

    - #### UHFDataHandleBase

          public UHFDataHandleBase()

  - ### Method Detail

    - #### isBuildFullData

          public abstract boolean isBuildFullData(UHFDataHandleBase.CMDInfo cmdinfo)

    - #### addCmdList

          public abstract void addCmdList(UHFDataHandleBase.CMDInfo info)

    - #### cleanAllData

          public void cleanAllData()

    - #### getTagCmd

          public UHFDataHandleBase.CMDInfo getTagCmd()

    - #### cleanTagCmd

          public void cleanTagCmd()

    - #### cleanCmd

          public void cleanCmd()

    - #### getLastCmd

          public UHFDataHandleBase.CMDInfo getLastCmd(int cmd,
                                                      int controlWord,
                                                      int timeOut)

    - #### getLastBarcodeCmd

          public UHFDataHandleBase.CMDInfo getLastBarcodeCmd(int cmd,
                                                             int controlWord,
                                                             int timeOut)

    - #### getLastCmd

          public UHFDataHandleBase.CMDInfo getLastCmd(int cmd,
                                                      int timeOut)

    - #### getCmdList

          public java.util.List<UHFDataHandleBase.CMDInfo> getCmdList(int cmd)

    - #### getCmdList

          public java.util.List<UHFDataHandleBase.CMDInfo> getCmdList(int cmd,
                                                                      int controlWord)

    - #### cleanOldCmd

          public void cleanOldCmd()

    - #### parseData

          public void parseData(byte[] inDataBuf)